<?php

/*
Written by Chris Jean for iThemes.com
Version 2.0.1

Version History
	2.0.0 - 2010-01-07
		Changed filter builder_get_layout_modules to builder_get_modules
		Changed filter builder_register_layout_modules to builder_register_modules
		Changed filter builder_layout_modules_loaded to builder_modules_loaded
	2.0.1 - 2011-10-06 - Chris Jean
		Minor performance improvements
*/


if ( ! class_exists( 'BuilderModules' ) ) {
	class BuilderModules {
		var $_modules;
		
		
		function BuilderModules() {
			add_filter( 'builder_get_modules', array( &$this, '_get_layout_modules' ), 0 );
			
			$this->_load_modules();
		}
		
		function register_module( &$module ) {
			$this->_modules[$module->_var] =& $module;
		}
		
		function _get_layout_modules( $modules ) {
			$modules = array_merge( $modules, $this->_modules );
			
			return $modules;
		}
		
		function _load_modules() {
			$dir = dirname( __FILE__ ) . '/modules';
			
			require_once( dirname( __FILE__ ) . "/modules/class.module.php" );
			
			if ( $readdir = opendir( $dir ) ) {
				while ( false !== ( $module = readdir( $readdir ) ) )
					if ( is_dir( "$dir/$module" ) && is_file( "$dir/$module/module.php" ) )
						require_once( "$dir/$module/module.php" );
			}
			
			do_action( 'builder_modules_loaded' );
		}
	}
	
	$GLOBALS['builder_modules'] =& new BuilderModules();
	
	do_action( 'builder_register_modules' );
}
